# Usuários

Gestão dos usuários (técnicos, gestores e administradores) cadastrados na sua conta Auvo. Permite consultar, criar, atualizar e remover colaboradores que executam tarefas em campo.

## Consultar usuário

 - [GET /users/{id}](https://developer.auvo.com.br/openapi/api-reference/usuarios/retrieve-a-user.md): Returns the details of a single User identified by its unique identifier.

## Editar usuário

 - [PATCH /users/{id}](https://developer.auvo.com.br/openapi/api-reference/usuarios/edit-a-user.md): To update a User, send a JSONPatchDocument with updated value for one or more of the UserPatch attributes. See the Attributes or Json Schema in the Example section for all allowed attributes.
JsonPatch example: { "op": "replace", "path": "login", "value": "login.user" }
For more information on JsonPatch, visit: http://jsonpatch.com/.

## Excluir usuário

 - [DELETE /users/{id}](https://developer.auvo.com.br/openapi/api-reference/usuarios/delete-a-user.md): Removes a User from your account by its unique identifier. This operation cannot be undone.

## Adicionar novo usuário

 - [POST /users](https://developer.auvo.com.br/openapi/api-reference/usuarios/add-a-new-user.md): The body example describes the minimum required attributes to successfully add an user. See the Attributes or Json Schema in the Example section for all allowed attributes.

## Criar ou atualizar usuário

 - [PUT /users](https://developer.auvo.com.br/openapi/api-reference/usuarios/upsert-add-a-new-user-or-update-an-existing-one.md): Update or register a new user according to one of its identifier, id OR externalId. If there is no user with the provided identifier, create a new user, if it exists, update it. Returns HTTP status code 200 if the user was updated and 201 if it was created.

The body example describes the minimum required attributes to successfully add/update an user. See the Attributes or Json Schema in the Example section for all allowed attributes.

## Listar usuários

 - [GET /users](https://developer.auvo.com.br/openapi/api-reference/usuarios/retrieve-a-list-of-users.md): Returns a paginated list of Users registered in your account. Use the query parameters to filter, sort and paginate results.

